Bug 1314659 - SMB: Provide example smb.conf file to have information regarding samba and add only required settings in actual smb.conf
SMB: Provide example smb.conf file to have information regarding samba and ad...
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Guenther Deschner
Vivek Das
: Reopened, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 03:05 EST by surabhi
Modified: 2018-04-19 06:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-16 14:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description surabhi 2016-03-04 03:05:10 EST
Description of problem:
*********************************
Currently smb.conf has lots of information which is carried from the upstream samba configuration where more of information than the actual configuration.

When we do setup in RHGS , it may create confusions and any mis-configuration because of the large content present in smb.conf.

It would be good to have a separate example file for smb.conf information and only required configuration options in actual smb.conf.

Version-Release number of selected component (if applicable):
samba-4.2.4-13.rhgs

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Having example conf file and having the actual smb.conf with relevant config settings would avoid any mis-configuration while doing the setup ex. AD.


Additional info:
Comment 3 Michael Adam 2016-04-13 05:41:47 EDT
Assigning to Jose.
Comment 7 Amar Tumballi 2018-04-19 00:16:28 EDT
Closed the samba bugs in bulk when PM_Score was less than 0. As the team was working on few of them, opening all of them.

Note You need to log in before you can comment on or make changes to this bug.